variables:
  SKIP_COMPOSER_NORMALIZE: 0

'Composer normalize':
  image: $DOCKER_CI_PHP_IMAGE
  extends:
    - .cache
    - .code_quality_default
  before_script:
    - mkdir -p .toolbox
    - curl -L -o .toolbox/composer-normalize https://github.com/ergebnis/composer-normalize/releases/latest/download/composer-normalize.phar
    - chmod +x .toolbox/composer-normalize
  script:
    - .toolbox/composer-normalize
      --dry-run
      --indent-size=4
      --indent-style=space
  rules:
    - if: '$SKIP_COMPOSER_NORMALIZE == "1"'
      when: never
    - when: on_success
